<?php
/*File: Login_form.inc
 *Desc: Contains the code for a Web page that displays
 *		two HTML forms, side by side.  One is a login
 *		form and the second is a registration form.
 */
 
 $fields_1 =	array("fusername"		=>	"User Name",
 					  "fpass"    		=> 	"Password" );
 $fields_2 =	array("fname"			=>	"Your First Name",
 					  "lname"			=>	"Your Last Name",
 					  "company"			=>	"Your Company Name",
 					  "street"			=>	"Street Address",
 					  "city"			=>	"City",
 					  "state"			=>	"State",
 					  "zip"				=>	"Zip",
 					  "industry"		=>	"Primary Industry",
 					  "openings"		=>	"Estimated Number of Openings to Post", 					  	
 					  "How_heard"		=>	"How did you hear about this Campaign?",
 					  "company_effort"	=>  "Do you now have an organized company effort to hire National Guard members or other personnel?",
 					  "email"			=>	"Email",
 					  "username"		=>	"User Name",
 					  "pass"			=>	"Password",
 					  "pass2"			=>	"Confirm Password");
 					  
 include("function12.inc");
 ?>
 <html><head>
 <title>Member Login Page</title>
 <style type='text/css'>
   <!--
   label {font-weight: bold;float: left;width:50%; height:auto; margin-right: .8em;text-align: right;}
   			fieldset {border: 2px solid #000000	} 
   legend {
   		  font-weight: bold; 
   		  font-size: 1.5em; 
   		  margin-bottom: .5em; 
   		}
   	h3 {
 	  	  text-align: center; 
 	  	  margin: 2em;}
   		#wrapper { margin: 0; padding: 0;	
		} 
		#login {
			position: absolute; 
			left:0; width: 27%; 
			padding: 1em 0; 
			}
		#reg {
			 position: absolute; 
			 left: 35%; 
			 width: 60%; 
			 padding: 1.5em 0; 
		}
		#field {
			 padding-bottom: 1.5em;}
	.errors {
			 font-weight: bold; 
			 font-style: italic; 
			 font-size: 90%; 
			 color: maroon; 
			 margin-top: 0;	}
	-->
   			</style>
   			</head>
   			
 <body style="margin: 0">
 <div id="wrapper">
 <div id="login">
 	<form action="<?php echo $_SERVER['PHP_SELF']?>"
 		method="post">
 		<fieldset><legend>Login Form</legend>
 <?php
 	if(isset($message_1))
 	{
 	echo "<p class='errors'>$message_1</p>\n";
 	}
 	foreach($fields_1 as $field => $value)
 	{
 		if (preg_match("/pass/i",$field))
 		$type = "password";
 	else
 		$type = "text";
 	echo "<div id='field'>
 			<label for='$field'>$value</label>
 			<input id='$field' name='$field'
 			 type='$type' value='".@$$field."'
 			size='20' maxlength='50' /></div>\n";
  		}  
 ?>
 	<input type="submit" name="Button"
 			style="margin-left:45%; margin-bottom: .5em"
 			value="Log in"> 	
 			</fieldset>
 			</form>
 			<h3>If you already have an account, log in.</h3>
 			<h3>If you do not have an account, register now.</h3>
 			</div>
 			
 			<div id="reg">
 			<form action="<?php echo $_SERVER['PHP_SELF']?>"
 				method="post">
 				<fieldset><legend>Registration Form</legend>
 <?php
 	if(isset($message_2))
 	{
 		echo "<p class='errors'>$message_2</p>\n";
 	}
 	foreach($fields_2 as $field => $value)
 	{
 	 if($field == "state")
 	 {
 	  echo "<div id='field'>
 	    <label for='$field'>$value</label>
 	    <select name'state' id='state'>";
 	    $stateName=getStateName();
 	    $stateCode=getStateCode();
 	    for($n=1;$n<=50;$n++)
 	    {
 	    	$state=$stateName[$n];
 	    	$scode=$stateCode[$n];
 	    	echo "<option value=$scode'";
 	    	if(isset($_POST['state']))
 	    	{
 	    	  if($_POST['state'] == $scode)
 	    	  {
 	    	  echo " selected='selected'";
 	    	  }
 	    	 }
 	    	 else
 	    	 {
 	    	   if($n < 2)
 	    	   {
 	    	     echo " selected='selected'";
 	    	    }
 	    	  }
 	    	  echo">$state\n</option>";
 	    	 }
 	    	 echo "<select></div>";
 	    }
 	    else
 	    {
 	    if(preg_match("/pass/i",$field))
 	       $type = "password";
 	       else
 	         $type = "text";
 	       echo "<div id='field'>
 	       		  <label for='$field'>$value</label>
 	       		  <input id='$field' name='$field'
 	       		     type='$type' value='".@$$field."'
 	       		     size='40' maxlength='65' /> </div>\n";
 	       } //end else
 	      }  //end foreach field
 ?>
 			<input type="submit" name="Button"
 				style='margin-left:45%; margin-bottom: .5em'
 				value="Register" >
 	       
 	    </fieldset>
 	    </form> 
 	    </div>
 </div>
 </body></html>
			